Name:    bluedevil
Summary: Bluetooth stack for KDE
Version: 5.27.10
Release:    1%{?dist}

License: GPL-2.0-or-later
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros >= 5.25.0-2
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel

BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-bluez-qt-devel >= 5.11
BuildRequires:  kf5-kded-devel
BuildRequires:  kf5-kwindowsystem-devel

BuildRequires:  shared-mime-info

BuildRequires:  desktop-file-utils

Provides:       dbus-bluez-pin-helper


Requires:       bluez >= 5
Requires:       bluez-obexd
Requires:       kf5-kded
Requires:       pulseaudio-module-bluetooth


%description
BlueDevil is the bluetooth stack for KDE.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%{cmake_kf5}

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.bluedevilsendfile.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.bluedevilwizard.desktop


%files -f %{name}.lang
%doc README
%{_kf5_bindir}/bluedevil-sendfile
%{_kf5_bindir}/bluedevil-wizard
%{_kf5_datadir}/kpackage/kcms/kcm_bluetooth/contents/ui/*.qml
%{_kf5_qtplugindir}/kf5/kio/
%{_kf5_qtplugindir}/plasma/kcms/systemsettings/kcm_bluetooth.so
%{_kf5_plugindir}/kded/*.so
%{_kf5_datadir}/remoteview/bluetooth-network.desktop
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/knotifications5/bluedevil.notifyrc
%{_kf5_datadir}/applications/kcm_bluetooth.desktop
%{_kf5_datadir}/applications/org.kde.bluedevilsendfile.desktop
%{_kf5_datadir}/applications/org.kde.bluedevilwizard.desktop
%{_kf5_datadir}/bluedevilwizard/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.bluetooth
%{_kf5_qmldir}/org/kde/plasma/private/bluetooth/
%{_kf5_metainfodir}/org.kde.plasma.bluetooth.appdata.xml
%{_datadir}/mime/packages/*.xml
%{_kf5_datadir}/qlogging-categories5/bluedevil.categories


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
